#!/usr/bin/perl -w
# arm - Aug 15 2005
# query the netdev.pl server for info from remote linux router.
use strict;
use IO::Socket::INET;

system("date >> /www/htdocs/cacti/scripts/GOT1.txt");
system("echo called $ARGV[0] >> /www/htdocs/cacti/scripts/GOT1.txt");
if (!exists $ARGV[0] || ($ARGV[0] ne "query") && ($ARGV[0] ne "get") && ($ARGV[0] ne "index")) {
        print <<INFO;
usage:
$0 index
$0 query {item}
$0 get {item} DEVICE
Where {item} is one of
		seqnum
		interface
		in_bytes
		in_packets
		in_errors
		in_drops
		in_fifos
		in_frames
		in_compresseds
		in_multicasts
		out_bytes
		out_packets
		out_errors
		out_drops
		out_fifo
		out_colls
		out_carriers
		out_compresseds 
INFO
        exit 1;
}

my ($socket,$cmdline);
$socket = IO::Socket::INET->new(PeerAddr => "localhost", PeerPort => 7777, Proto=> "tcp", Type => SOCK_STREAM) 
	or die "Could not open telnet session\n";

$cmdline = join ' ', @ARGV;
$cmdline .= "\n";
print $socket $cmdline;
while (<$socket>) {
	print;
}
close $socket;
exit 0;

